<!DOCTYPE html>
<html>
	<title>QR Security Dashboard Login</title>
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css" />
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway" />
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />
	<style>
		html,
		body,
		h1,
		h2,
		h3,
		h4,
		h5 {
			font-family: "Raleway", sans-serif;
		}
	</style>
	<body>
		<div style="margin: auto; max-width: 600px">
			<div class="w3-card-4" style="max-width: 600px; margin-top: 25%">
				<div class="w3-center">
					<br />
					<h1 class="w3-large"><strong>QR Security Dashboard</strong></h1>
				</div>
				<form class="w3-container" action="javascript:login()">
					<div class="w3-section">
						<label><b>Username</b></label>
						<input class="w3-input w3-border w3-margin-bottom" type="text" id="username" required />
						<label><b>Password</b></label>
						<input class="w3-input w3-border" type="password" id="password" required />
						<div class="w3-text-red" style="display: none" id="errorText">
							<p>Invalid Username Or Password</p>
						</div>
						<button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">Login</button>
					</div>
				</form>
			</div>
		</div>
	</body>
	<script>
		const URL = "http://192.168.0.20:5000/api";

		function login() {
			var data = {};
			data["user_name"] = document.getElementById("username").value;
			data["password"] = document.getElementById("password").value;

			doPost("/login", data).then((data) => {
				if (data.authorised) {
					window.location = "dashboard.html";
				} else {
					document.getElementById("errorText").style.display = "block";
				}
			});
		}

		function doPost(endpoint, data) {
			return fetch(URL + endpoint, {
				method: "POST",
				body: JSON.stringify(data),
				headers: {
					"Content-Type": "application/json",
				},
			})
				.then((response) => response.json())
				.catch((err) => console.log("Post Error " + err));
		}
	</script>
</html>
